<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>LASi: LASi::setFont Class Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.4 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceLASi.html">LASi</a>::<a class="el" href="classLASi_1_1setFont.html">setFont</a></div>
<h1>LASi::setFont Class Reference</h1><!-- doxytag: class="LASi::setFont" -->stream manipulator applied to <a class="el" href="classLASi_1_1oPostscriptStream.html" title="Just like any ordinary ostringstream, but maintains a reference to the PostscriptDocument...">oPostscriptStream</a>.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="LASi_8h-source.html">LASi.h</a>&gt;</code>
<p>

<p>
<a href="classLASi_1_1setFont-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1setFont.html#06ac10a68f9f4d7fe507e1c9e766d364">setFont</a> (const char *const family=&quot;sans&quot;, const <a class="el" href="namespaceLASi.html#677a16ea4956907672f1eab92d955672">LASi::FontStyle</a> style=LASi::NORMAL_STYLE, const <a class="el" href="namespaceLASi.html#cad6af5e11af48ac0820470cb91b11cc">LASi::FontWeight</a> weight=LASi::NORMAL_WEIGHT, const <a class="el" href="namespaceLASi.html#0c4dd4681ddefc547e182e0a91ffa33c">LASi::FontVariant</a> variant=LASi::NORMAL_VARIANT, const <a class="el" href="namespaceLASi.html#1078bb628a6b0474a6e0e5e75acad837">LASi::FontStretch</a> stretch=LASi::NORMAL_STRETCH)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Usage: os &lt;&lt; <a class="el" href="classLASi_1_1setFont.html" title="stream manipulator applied to oPostscriptStream.">setFont</a>("Vera Sans",<a class="el" href="namespaceLASi.html#677a16ea4956907672f1eab92d955672e6b21e0116736505553488cdb7334b17">LASi::ITALIC</a>,<a class="el" href="namespaceLASi.html#cad6af5e11af48ac0820470cb91b11cc5885504bb5a03f3139564e3eb0de12ef">LASi::BOLD</a>) &lt;&lt; .  <a href="#06ac10a68f9f4d7fe507e1c9e766d364"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1setFont.html#cbfa7a84ecc446d24fa278a0bfaf8d96">apply</a> (<a class="el" href="classLASi_1_1oPostscriptStream.html">oPostscriptStream</a> &amp;os) const </td></tr>

<tr><td colspan="2"><br><h2>Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const char *const&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1setFont.html#7ba722d35585589eb89b715b61b0ed20">_family</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="namespaceLASi.html#677a16ea4956907672f1eab92d955672">LASi::FontStyle</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1setFont.html#d431f54e4f6d7e81bc7b600877c999a2">_style</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="namespaceLASi.html#cad6af5e11af48ac0820470cb91b11cc">LASi::FontWeight</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1setFont.html#b536416dc93d60b94e094e41d5265b3c">_weight</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="namespaceLASi.html#0c4dd4681ddefc547e182e0a91ffa33c">LASi::FontVariant</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1setFont.html#a51e9b9cf35e40b090ae2b9953afbacb">_variant</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="namespaceLASi.html#1078bb628a6b0474a6e0e5e75acad837">LASi::FontStretch</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1setFont.html#79ab8b27fe6d65a0aa858281bfcf1140">_stretch</a></td></tr>

<tr><td colspan="2"><br><h2>Friends</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classLASi_1_1oPostscriptStream.html">oPostscriptStream</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLASi_1_1setFont.html#2333de03c02d7cca15e1b530c87861fc">operator&lt;&lt;</a> (<a class="el" href="classLASi_1_1oPostscriptStream.html">oPostscriptStream</a> &amp;os, const <a class="el" href="classLASi_1_1setFont.html">setFont</a> &amp;x)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Stream inserter for 'setFont' stream manipulator.  <a href="#2333de03c02d7cca15e1b530c87861fc"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
stream manipulator applied to <a class="el" href="classLASi_1_1oPostscriptStream.html" title="Just like any ordinary ostringstream, but maintains a reference to the PostscriptDocument...">oPostscriptStream</a>. <hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="06ac10a68f9f4d7fe507e1c9e766d364"></a><!-- doxytag: member="LASi::setFont::setFont" ref="06ac10a68f9f4d7fe507e1c9e766d364" args="(const char *const family=&quot;sans&quot;, const LASi::FontStyle style=LASi::NORMAL_STYLE, const LASi::FontWeight weight=LASi::NORMAL_WEIGHT, const LASi::FontVariant variant=LASi::NORMAL_VARIANT, const LASi::FontStretch stretch=LASi::NORMAL_STRETCH)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">LASi::setFont::setFont           </td>
          <td>(</td>
          <td class="paramtype">const char *const &nbsp;</td>
          <td class="paramname"> <em>family</em> = <code>&quot;sans&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceLASi.html#677a16ea4956907672f1eab92d955672">LASi::FontStyle</a>&nbsp;</td>
          <td class="paramname"> <em>style</em> = <code>LASi::NORMAL_STYLE</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceLASi.html#cad6af5e11af48ac0820470cb91b11cc">LASi::FontWeight</a>&nbsp;</td>
          <td class="paramname"> <em>weight</em> = <code>LASi::NORMAL_WEIGHT</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceLASi.html#0c4dd4681ddefc547e182e0a91ffa33c">LASi::FontVariant</a>&nbsp;</td>
          <td class="paramname"> <em>variant</em> = <code>LASi::NORMAL_VARIANT</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceLASi.html#1078bb628a6b0474a6e0e5e75acad837">LASi::FontStretch</a>&nbsp;</td>
          <td class="paramname"> <em>stretch</em> = <code>LASi::NORMAL_STRETCH</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Usage: os &lt;&lt; <a class="el" href="classLASi_1_1setFont.html" title="stream manipulator applied to oPostscriptStream.">setFont</a>("Vera Sans",<a class="el" href="namespaceLASi.html#677a16ea4956907672f1eab92d955672e6b21e0116736505553488cdb7334b17">LASi::ITALIC</a>,<a class="el" href="namespaceLASi.html#cad6af5e11af48ac0820470cb91b11cc5885504bb5a03f3139564e3eb0de12ef">LASi::BOLD</a>) &lt;&lt; . 
<p>
.. 
</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="cbfa7a84ecc446d24fa278a0bfaf8d96"></a><!-- doxytag: member="LASi::setFont::apply" ref="cbfa7a84ecc446d24fa278a0bfaf8d96" args="(oPostscriptStream &amp;os) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void LASi::setFont::apply           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classLASi_1_1oPostscriptStream.html">oPostscriptStream</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>os</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [inline, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Friends And Related Function Documentation</h2>
<a class="anchor" name="2333de03c02d7cca15e1b530c87861fc"></a><!-- doxytag: member="LASi::setFont::operator&lt;&lt;" ref="2333de03c02d7cca15e1b530c87861fc" args="(oPostscriptStream &amp;os, const setFont &amp;x)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classLASi_1_1oPostscriptStream.html">oPostscriptStream</a>&amp; operator&lt;&lt;           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classLASi_1_1oPostscriptStream.html">oPostscriptStream</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>os</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classLASi_1_1setFont.html">setFont</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>x</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Stream inserter for 'setFont' stream manipulator. 
<p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="7ba722d35585589eb89b715b61b0ed20"></a><!-- doxytag: member="LASi::setFont::_family" ref="7ba722d35585589eb89b715b61b0ed20" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const char* const <a class="el" href="classLASi_1_1setFont.html#7ba722d35585589eb89b715b61b0ed20">LASi::setFont::_family</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="d431f54e4f6d7e81bc7b600877c999a2"></a><!-- doxytag: member="LASi::setFont::_style" ref="d431f54e4f6d7e81bc7b600877c999a2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceLASi.html#677a16ea4956907672f1eab92d955672">LASi::FontStyle</a> <a class="el" href="classLASi_1_1setFont.html#d431f54e4f6d7e81bc7b600877c999a2">LASi::setFont::_style</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="b536416dc93d60b94e094e41d5265b3c"></a><!-- doxytag: member="LASi::setFont::_weight" ref="b536416dc93d60b94e094e41d5265b3c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceLASi.html#cad6af5e11af48ac0820470cb91b11cc">LASi::FontWeight</a> <a class="el" href="classLASi_1_1setFont.html#b536416dc93d60b94e094e41d5265b3c">LASi::setFont::_weight</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="a51e9b9cf35e40b090ae2b9953afbacb"></a><!-- doxytag: member="LASi::setFont::_variant" ref="a51e9b9cf35e40b090ae2b9953afbacb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceLASi.html#0c4dd4681ddefc547e182e0a91ffa33c">LASi::FontVariant</a> <a class="el" href="classLASi_1_1setFont.html#a51e9b9cf35e40b090ae2b9953afbacb">LASi::setFont::_variant</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="79ab8b27fe6d65a0aa858281bfcf1140"></a><!-- doxytag: member="LASi::setFont::_stretch" ref="79ab8b27fe6d65a0aa858281bfcf1140" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceLASi.html#1078bb628a6b0474a6e0e5e75acad837">LASi::FontStretch</a> <a class="el" href="classLASi_1_1setFont.html#79ab8b27fe6d65a0aa858281bfcf1140">LASi::setFont::_stretch</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="LASi_8h-source.html">LASi.h</a></ul>
<hr size="1"><address style="text-align: right;"><small>Generated on Fri Feb 8 17:25:20 2008 for LASi by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.4 </small></address>
</body>
</html>
